NVIDIA
NVIDIA Grid k520 drivers not compatible with Battlefront 2?
Hello, I'm trying to set up streaming using an Amazon web services based cloud rig that has an NVIDIA Grid k520. Battlefront 2 is the game I would like to play, but when I launch it claims I am using GeForce hardware and to update my drivers. It tells me I have driver version 370.16, which is correct, and to update to at least 382.33. As far as I know, the most recent update is to 370.16 and I cannot go any higher. Any other workarounds to this so I can play? Thanks!
Hello,

I'm trying to set up streaming using an Amazon web services based cloud rig that has an NVIDIA Grid k520. Battlefront 2 is the game I would like to play, but when I launch it claims I am using GeForce hardware and to update my drivers. It tells me I have driver version 370.16, which is correct, and to update to at least 382.33.

As far as I know, the most recent update is to 370.16 and I cannot go any higher. Any other workarounds to this so I can play?

Thanks!

#1
Posted 10/10/2017 03:33 AM   
Hi, no workaround as far as I know. R367 was the last branch with support for K520. Regards Simon
Hi,

no workaround as far as I know. R367 was the last branch with support for K520.

Regards

Simon

#2
Posted 10/14/2017 05:43 PM   
Scroll To Top

Add Reply